
<p align="center">
<img src="https://github.com/google/draco/raw/master/docs/DracoLogo.jpeg" />
</p>

News
=======
### Version 1.0.5 release
* Built with newer emscripten

### Version 1.0.4 release
* Renamed encoder and decoder files

### Version 1.0.3 release
* Initial release

Description
===========

[Draco] is a library for compressing and decompressing 3D geometric [meshes] and
[point clouds]. It is intended to improve the storage and transmission of 3D
graphics. [Draco animation] is a library intended to compress [glTF] animation
data.

[Draco animation] is released as C++/Javascript source code that can be used to
compress [glTF] 2.0 animation data as well as decoders for the encoded animation data.

NPM Package
===========

The code shows a simple example of using Draco animation encoder and decoder with Node.js.
`draco_animation_encoder_nodejs.js` and `draco_animation_decoder_nodejs.js` are modified Javascript
encoding/decoding files that are compatible with Node.js.
`draco_animation_encoding_test.js` has the example code for usage.

How to run the code:

(1) Install draco-animation package :

~~~~~ bash
$ npm install
~~~~~

(2) Run example code to test:

~~~~~ bash
$ node draco_animation_encoding_test.js
~~~~~


References
==========
[Draco]: https://github.com/google/draco
[meshes]: https://en.wikipedia.org/wiki/Polygon_mesh
[point clouds]: https://en.wikipedia.org/wiki/Point_cloud
[Draco animation]: https://github.com/google/draco/tree/master/javascript/animation
[glTF]: https://github.com/KhronosGroup/glTF/tree/master/specification/2.0

